{% extends 'base.html' %}


{%block content %}
<main class="recipe-grid">
  {% for tag in tag_list %}
  <div class="recipe-card">
    <h2 class="recipe-card-title">
      <a href="{% url 'tag_detail' tag.id %}">{{ tag.name }}</a>
    </h2>
    {% for recipe in tag.recipes.all %}
    <p>
      <a href="{% url 'recipe_detail' recipe.pk %}">{{ recipe.name }}</a>
    </p>
    {% endfor %}
  </div>
  {% empty %}
  <div>
    <h1>No tags, yet</h1>
    <p>
      Would you like to
      <a href="{% url 'tag_new' %}">create</a>
      one?
    </p>
  </div>
  {% endfor %}
</main>

{%endblock content%}